<?php session_start();
include ('../inc/dbcon.php');
include ('../inc/functions.php');
if(isset($_SESSION["axeslogin"]) && $_SESSION["axeslogin"] == true){
get_pagesecurity('37','edits','R');    
$_SESSION['cuPages']='payr_levlist.php';   
$cuPage='payr_levlist.php';    
$aid=$_SESSION['uid'];
$brid=$_SESSION['abrid'];    
}else{
header('Location:../index.php');
exit;    
}
$mhead='payroll';
$menuh='Payroll';
$phead='levlist';
$page='Leave Type';
$dtnow = date("Y-m-d h:i:s", time());
?>
<?php
include('../layout/head.php');
include('../layout/header.php');
include('../layout/side_nav.php');
?>
<?php 
if(isset($_POST['update_leave'])){
$lvid = remove_junk(escape($_POST['lvid']));
$name = remove_junk(escape($_POST['name']));
$days = remove_junk(escape($_POST['days']));
$description = remove_junk(escape($_POST['description']));
$status = remove_junk(escape($_POST['status']));
    
if(isset($_POST['name'])){
$ducode = mysqli_query($con,"SELECT * FROM tbl_leave WHERE name = '$name' AND id!='$lvid'");
}
	
if($ducode->num_rows > 0) {
save_msg('i','Leave name alrady used! Plz try another');
echo "<script>window.location='payr_levlist.php'</script>";
}else{
$sql="UPDATE tbl_leave SET name='$name',description='$description',days='$days',status='$status' WHERE id='$lvid'";    
$result = mysqli_query($con,$sql) or die(mysqli_error($con));
$efid=mysqli_affected_rows($con);    
if($efid>0){
$act =remove_junk(escape('Leave name: '.$name));    
write_activity($aid,'LEV','Leave has been Updated',$act);    
save_msg('s','Data Successfully Update!');
echo "<script>window.location='payr_levlist.php'</script>";
}else{
save_msg('w','Data Fail to Update!');
echo "<script>window.location='payr_levlist.php'</script>";    
}    
}  
}
?>
<div class="content-wrapper">
<?php include('../layout/page_head.php'); ?>
<!-- Main content -->
<section class="content">
    
<div class="row">
<div class="col-md-8">
<div class="box box-solid">
<div class="box-header with-border">
<h3 class="box-title">Edit Leave</h3>
</div>
<div class="box-body">
<?php echo display_msg();?>  
<form action="payr_levedit.php" onsubmit="return validate()" enctype="multipart/form-data" method="post" accept-charset="utf-8">
<div class="col-md-12 popup_details_div">

<div class="row ">
<div class="col-md-12">
<div class="col-md-2"></div>
<div class="col-md-8">
<?php 
if(isset($_POST['editlev'])){
$ids = $_POST['editlev'];
$sql="SELECT * FROM tbl_leave WHERE id='".$ids."' ORDER BY id ASC LIMIT 1";    
$admin=mysqli_query($con,$sql) or die(mysqli_error($con));    
$adm=mysqli_fetch_array($admin);
?>    
<div class="col-md-12">
<div class="row">
<div class="col-md-8">    
<div class="form-group">
<label>Name</label>
<input type="text" name="name" maxlength="25" value="<?php echo $adm['name'];?>" id="pname" class="form-control" placeholder="e.g. Casual Leave" />
<input type="hidden" maxlength="11" value="<?php echo $adm['id'];?>" class="form-control" name="lvid" autocomplete="off" readonly>    
</div>
</div>
<div class="col-md-4">
<div class="form-group">
<label>Days</label>
<input type="text" name="days" maxlength="3" value="<?php echo $adm['days'];?>" id="days" onkeypress="return isNumberKey(event)" class="form-control" placeholder="e.g. 15" />
</div>    
</div>
</div>
<div class="row">
<div class="col-md-3"></div>
<div class="col-md-6">
<div class="form-group" >
<label>Status</label> 
<select class="form-control" name="status">
<option <?php if($adm['status']==1){echo 'selected';}?> value="1">Active</option>
<option <?php if($adm['status']==0){echo 'selected';}?> value="0">De-Active</option>
</select>    
</div>    
</div>    
<div class="col-md-3"></div>    
</div>    
<div class="row">
<div class="col-md-12">    
<div class="form-group">
<label>Description</label>
<textarea class="form-control" maxlength="150" rows="6" name="description" placeholder="Description"><?php echo $adm['description'];?></textarea>
</div>
</div>    
</div>    
</div>
<?php } ?>    
</div>    
<div class="col-md-2"></div>    
</div>    
</div>    

</div>
<div class="clearfix" ></div>
<div class="col-md-12 nopadding widgets_area"></div>    
<div class="row"style="margin-top: 15px" >
<div class="col-md-8"></div>
<div class="col-md-4 text-right" >
<input type="submit" name="update_leave" id="submit" class="btn btn-flat bg-purple btn-sm " value="Update"/> <a href="payr_levlist.php" class="btn btn-flat bg-gray  ">Close</a>
</div> 
</div>     
</form>    
</div>
</div>
</div>
<div class="col-md-4">
<div class="row">
<div class="col-md-12">
<div class="box box-solid">
<div class="box-header">
<h3 class="box-title">History </h3>
</div>
<!-- /.box-header -->
<div class="box-body" >
<?php if($_SESSION['access']=='1'){echo read_activity($aid,'LEV','A');}else{echo read_activity($aid,'LEV','U');}?>
</div>
</div>
</div>
</div>
</div>
</div>

<?php include('../layout/quick.php');?>     
</section>
<!-- /.main content -->    
</div>

<?php 
include('../layout/footer.php');
?>
<!-- page script -->
<script type="text/javascript">
$(document).ready(function (){     
var pname = new LiveValidation('pname');
pname.add(Validate.Presence);
var days = new LiveValidation('days');
days.add(Validate.Presence);    
});
</script>    
<!-- /page script -->
</html>    